Update equivalent processor revision ID to load latest microcode patches.

Signed-off-by: Marc Jones <marcj303@gmail.com>

Index: src/cpu/amd/model_10xxx/update_microcode.c
===================================================================
--- src/cpu/amd/model_10xxx/update_microcode.c	(revision 4029)
+++ src/cpu/amd/model_10xxx/update_microcode.c	(working copy)
@@ -39,12 +39,13 @@
  * 00100F00h             1000h                  01000020h
  * 00100F01h             1000h                  01000020h
  * 00100F02h             1000h                  01000020h
- * 00100F20h             1020h                  01000084h
- * 00100F21h             1020h                  01000084h
- * 00100F2Ah             1020h                  01000084h
- * 00100F22h             1022h                  01000083h
- * 00100F23h             1022h                  01000083h
- */
+ * 00100F20h             1020h                  01000096h
+ * 00100F21h (DR-B1)     1020h                  01000096h
+ * 00100F2Ah (DR-BA)     1020h                  01000096h
+ * 00100F22h (DR-B2)     1022h                  01000095h
+ * 00100F23h (DR-B3)     1022h                  01000095h
+ * 00100F62h (DA-C2)     1062h                  0100009Fh
+ */
 
 #include AMD_UCODE_PATCH_FILE
 
@@ -65,7 +66,8 @@
 		0x100f21, 0x1020,
 		0x100f2A, 0x1020,
 		0x100f22, 0x1022,
-		0x100f23, 0x1022,
+		0x100f23, 0x1022,
+		0x100f62, 0x1062,
 	};
 
 	u32 new_id;
Index: src/mainboard/amd/serengeti_cheetah_fam10/Options.lb
===================================================================
--- src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(revision 4029)
+++ src/mainboard/amd/serengeti_cheetah_fam10/Options.lb	(working copy)
@@ -264,11 +264,12 @@
 ##
 ## Set microcode patch file name
 ##
-##	Barcelona rev Ax:  "mc_patch_01000020.h"
-##	Barcelona rev B0, B1, BA: "mc_patch_01000084.h"
-##	Barcelona rev B2, B3: "mc_patch_01000083.h"
+##	Barcelona rev DR-Ax:  "mc_patch_01000020.h"
+##	Barcelona rev DR-B0, B1, BA: "mc_patch_01000096.h"
+##	Barcelona rev DR-B2, B3: "mc_patch_01000095.h"
+##	Shanghai rev DA-C2: "mc_patch_0100009F.h"
 ##
-default AMD_UCODE_PATCH_FILE="mc_patch_01000083.h"
+default AMD_UCODE_PATCH_FILE="mc_patch_01000095.h"
 
 ###
 ### coreboot layout values
Index: src/mainboard/tyan/s2912_fam10/Options.lb
===================================================================
--- src/mainboard/tyan/s2912_fam10/Options.lb	(revision 4029)
+++ src/mainboard/tyan/s2912_fam10/Options.lb	(working copy)
@@ -260,11 +260,12 @@
 ##
 ## Set microcode patch file name
 ##
-##      Barcelona rev Ax:  "mc_patch_01000020.h"
-##      Barcelona rev B0, B1, BA: "mc_patch_01000084.h"
-##      Barcelona rev B2, B3: "mc_patch_01000083.h"
+##	Barcelona rev DR-Ax:  "mc_patch_01000020.h"
+##	Barcelona rev DR-B0, B1, BA: "mc_patch_01000096.h"
+##	Barcelona rev DR-B2, B3: "mc_patch_01000095.h"
+##	Shanghai rev DA-C2: "mc_patch_0100009F.h"
 ##
-default AMD_UCODE_PATCH_FILE="mc_patch_01000083.h"
+default AMD_UCODE_PATCH_FILE="mc_patch_01000095.h"
 
 ###
 ### coreboot layout values
